/* dump.c
 * Copyright (C) 2001 QT4Linux and OpenQuicktime Teams
 *
 * This file is part of OpenQuicktime, a free QuickTime library.
 *
 * Based on QT4Linux by Adam Williams.
 *
 * OpenQuicktime is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation.
 *
 * OpenQuicktime is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: dump.c,v 1.4 2002/10/28 13:51:12 nj_humfrey Exp $
 */

#include <stdlib.h>


#include "openquicktime/openquicktime.h"
#include "openquicktime/structs.h"





int main(int argc, char *argv[])
{
	oqt_t *file;
	
	if(argc < 2)
	{
		printf("Dump all tables in movie.\n");
		exit(1);
	}

	if(!(file = oqt_open(argv[1])))
	{
		printf("Failed to open file: %s\n", argv[1]);
		exit(1);
	}

	// Read headers
	if(oqt_read_headers(file)) {
		oqt_close(file);
		printf("Could not read movie headers in file: %s\n", argv[1]);
		exit(1);
	}

	oqt_dump(file);

	oqt_close(file);

	return 0;
}
