/* streamize.c
 * Copyright (C) 2001 QT4Linux and OpenQuicktime Teams
 *
 * This file is part of OpenQuicktime, a free QuickTime library.
 *
 * Based on QT4Linux by Adam Williams.
 *
 * OpenQuicktime is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation.
 *
 * OpenQuicktime is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: streamize.c,v 1.4 2002/10/28 13:51:12 nj_humfrey Exp $
 */

#include <stdlib.h>

#include "openquicktime/openquicktime.h"
#include "openquicktime/structs.h"

int main(int argc, char *argv[])
{
	oqt_t *in_file, *out_file;
	int result;

	if(argc < 3 || argv[1][0] == '-')
	{
		printf("usage: %s <in filename> <out filename>\n", argv[0]);
		exit(1);
	}


	// Open the input file
	in_file = oqt_open(argv[1]);
	out_file = oqt_open_file(argv[2], OQT_MODE_WRITE);
	if (!in_file || !out_file) exit(1);
	
	// Copy data around
	result = oqt_make_streamable(in_file, out_file);
	
	// Close the files
	oqt_close(in_file);
	oqt_close(out_file);
	
	
	// Didn't it work ?
	if (result) {
		fprintf(stderr, "Failed to make file streamable.\n");
		return 1;
	}


	return 0;
}
